- CachingVaultTokenSupplier - Class in org.springframework.vault.authentication
-
- capabilities(Policy.Capability...) - Method in class org.springframework.vault.support.Policy.Rule.RuleBuilder
-
Configure capabilities. apabilities are added when calling this method and
do not replace already configured capabilities.
- capabilities(String...) - Method in class org.springframework.vault.support.Policy.Rule.RuleBuilder
-
Configure capabilities represented as
String literals.
- capability(Policy.Capability) - Method in class org.springframework.vault.support.Policy.Rule.RuleBuilder
-
- Certificate - Class in org.springframework.vault.support
-
Value object representing a certificate consisting of the certificate and the issuer
certificate.
- CertificateBundle - Class in org.springframework.vault.support
-
Value object representing a certificate bundle consisting of a private key, the
certificate and the issuer certificate.
- Ciphertext - Class in org.springframework.vault.support
-
- clear() - Method in class org.springframework.vault.repository.core.VaultKeyValueAdapter
-
- ClientAuthentication - Interface in org.springframework.vault.authentication
-
- clientAuthentication() - Method in class org.springframework.vault.config.AbstractVaultConfiguration
-
Annotate with
Bean in case you want to expose a
ClientAuthentication instance to the
ApplicationContext.
- clientAuthentication() - Method in class org.springframework.vault.config.EnvironmentVaultConfiguration
-
- ClientCertificateAuthentication - Class in org.springframework.vault.authentication
-
- ClientCertificateAuthentication(RestOperations) - Constructor for class org.springframework.vault.authentication.ClientCertificateAuthentication
-
- ClientFactoryWrapper(ClientHttpRequestFactory) - Constructor for class org.springframework.vault.config.AbstractVaultConfiguration.ClientFactoryWrapper
-
- clientHttpConnector() - Method in class org.springframework.vault.config.AbstractReactiveVaultConfiguration
-
- ClientHttpConnectorFactory - Class in org.springframework.vault.config
-
Factory for ClientHttpConnector that supports
ReactorClientHttpConnector.
- ClientHttpConnectorFactory() - Constructor for class org.springframework.vault.config.ClientHttpConnectorFactory
-
- ClientHttpRequestFactoryFactory - Class in org.springframework.vault.config
-
Factory for ClientHttpRequestFactory that supports Apache HTTP Components,
OkHttp, Netty and the JDK HTTP client (in that order).
- ClientHttpRequestFactoryFactory() - Constructor for class org.springframework.vault.config.ClientHttpRequestFactoryFactory
-
- clientHttpRequestFactoryWrapper() - Method in class org.springframework.vault.config.AbstractVaultConfiguration
-
- clientOptions() - Method in class org.springframework.vault.config.AbstractVaultConfiguration
-
- ClientOptions - Class in org.springframework.vault.support
-
Client options for Vault.
- ClientOptions() - Constructor for class org.springframework.vault.support.ClientOptions
-
- ClientOptions(int, int) - Constructor for class org.springframework.vault.support.ClientOptions
-
- ClientOptions(Duration, Duration) - Constructor for class org.springframework.vault.support.ClientOptions
-
- commonName(String) - Method in class org.springframework.vault.support.VaultCertificateRequest.VaultCertificateRequestBuilder
-
Configure the common name.
- complete(VaultQuery, Sort) - Method in class org.springframework.vault.repository.query.VaultQueryCreator
-
- config(Map<String, Object>) - Method in class org.springframework.vault.support.VaultMount.VaultMountBuilder
-
Set additional configuration details for this mount.
- configureKey(String, VaultTransitKeyConfiguration) - Method in interface org.springframework.vault.core.VaultTransitOperations
-
Create a new named encryption key given a name.
- configureKey(String, VaultTransitKeyConfiguration) - Method in class org.springframework.vault.core.VaultTransitTemplate
-
- contains(Object, String) - Method in class org.springframework.vault.repository.core.VaultKeyValueAdapter
-
- context(byte[]) - Method in class org.springframework.vault.support.VaultTransitContext.VaultTransitRequestBuilder
-
Configure a key derivation context for the transit operation.
- convergentEncryption(boolean) - Method in class org.springframework.vault.support.VaultTransitKeyCreationRequest.VaultTransitKeyCreationRequestBuilder
-
Configure convergent encryption where the same plaintext creates the same
ciphertext.
- conversions - Variable in class org.springframework.vault.repository.convert.AbstractVaultConverter
-
- conversionService - Variable in class org.springframework.vault.repository.convert.AbstractVaultConverter
-
- count(String) - Method in class org.springframework.vault.repository.core.VaultKeyValueAdapter
-
- create(String, int) - Static method in class org.springframework.vault.client.VaultEndpoint
-
- create(ClientOptions, SslConfiguration) - Static method in class org.springframework.vault.config.ClientHttpConnectorFactory
-
- create(ClientOptions, SslConfiguration) - Static method in class org.springframework.vault.config.ClientHttpRequestFactoryFactory
-
- create() - Method in interface org.springframework.vault.core.VaultTokenOperations
-
Create a new token.
- create(VaultTokenRequest) - Method in interface org.springframework.vault.core.VaultTokenOperations
-
- create() - Method in class org.springframework.vault.core.VaultTokenTemplate
-
- create(VaultTokenRequest) - Method in class org.springframework.vault.core.VaultTokenTemplate
-
- create(Part, Iterator<Object>) - Method in class org.springframework.vault.repository.query.VaultQueryCreator
-
- create(Resource, String, Resource, String) - Method in class org.springframework.vault.support.SslConfiguration
-
- create(Resource, char[], Resource, char[]) - Method in class org.springframework.vault.support.SslConfiguration
-
- create(String) - Static method in class org.springframework.vault.support.VaultCertificateRequest
-
- create(Plaintext) - Static method in class org.springframework.vault.support.VaultHmacRequest
-
- create(int, int) - Static method in class org.springframework.vault.support.VaultInitializationRequest
-
Create a new VaultInitializationRequest given secretShares and
secretThreshold.
- create(String) - Static method in class org.springframework.vault.support.VaultMount
-
- create(Plaintext, Signature) - Static method in class org.springframework.vault.support.VaultSignatureVerificationRequest
-
- create(Plaintext, Hmac) - Static method in class org.springframework.vault.support.VaultSignatureVerificationRequest
-
- create(Plaintext) - Static method in class org.springframework.vault.support.VaultSignRequest
-
- createAuthenticationSteps(AppIdAuthenticationOptions) - Static method in class org.springframework.vault.authentication.AppIdAuthentication
-
- createAuthenticationSteps(AppRoleAuthenticationOptions) - Static method in class org.springframework.vault.authentication.AppRoleAuthentication
-
- createAuthenticationSteps(AwsEc2AuthenticationOptions) - Static method in class org.springframework.vault.authentication.AwsEc2Authentication
-
- createAuthenticationSteps(AwsEc2AuthenticationOptions, AtomicReference<char[]>, Supplier<char[]>) - Static method in class org.springframework.vault.authentication.AwsEc2Authentication
-
- createAuthenticationSteps() - Static method in class org.springframework.vault.authentication.ClientCertificateAuthentication
-
- createAuthenticationSteps(CubbyholeAuthenticationOptions) - Static method in class org.springframework.vault.authentication.CubbyholeAuthentication
-
- createAuthenticationSteps(KubernetesAuthenticationOptions) - Static method in class org.springframework.vault.authentication.KubernetesAuthentication
-
- createAuthenticationSteps(VaultToken, boolean) - Static method in class org.springframework.vault.authentication.TokenAuthentication
-
- createCollection(Collection<?>, VaultPersistentProperty) - Method in class org.springframework.vault.repository.convert.MappingVaultConverter
-
- createKey(String) - Method in interface org.springframework.vault.core.VaultTransitOperations
-
Create a new named encryption key given a name.
- createKey(String, VaultTransitKeyCreationRequest) - Method in interface org.springframework.vault.core.VaultTransitOperations
-
- createKey(String) - Method in class org.springframework.vault.core.VaultTransitTemplate
-
- createKey(String, VaultTransitKeyCreationRequest) - Method in class org.springframework.vault.core.VaultTransitTemplate
-
- createKeyStore(String) - Method in class org.springframework.vault.support.CertificateBundle
-
- createMap(Map<Object, Object>, VaultPersistentProperty) - Method in class org.springframework.vault.repository.convert.MappingVaultConverter
-
- createNonce() - Method in class org.springframework.vault.authentication.AwsEc2Authentication
-
- createOrphan() - Method in interface org.springframework.vault.core.VaultTokenOperations
-
Create a new orphan token.
- createOrphan(VaultTokenRequest) - Method in interface org.springframework.vault.core.VaultTokenOperations
-
- createOrphan() - Method in class org.springframework.vault.core.VaultTokenTemplate
-
- createOrphan(VaultTokenRequest) - Method in class org.springframework.vault.core.VaultTokenTemplate
-
- createOrUpdatePolicy(String, Policy) - Method in interface org.springframework.vault.core.VaultSysOperations
-
- createOrUpdatePolicy(String, Policy) - Method in class org.springframework.vault.core.VaultSysTemplate
-
- createPersistentEntity(TypeInformation<T>) - Method in class org.springframework.vault.repository.mapping.VaultMappingContext
-
- createPersistentProperty(Property, VaultPersistentEntity<?>, SimpleTypeHolder) - Method in class org.springframework.vault.repository.mapping.VaultMappingContext
-
- createRepositoryFactory(KeyValueOperations, Class<? extends AbstractQueryCreator<?, ?>>, Class<? extends RepositoryQuery>) - Method in class org.springframework.vault.repository.support.VaultRepositoryFactoryBean
-
- createRequestBody(AwsIamAuthenticationOptions) - Static method in class org.springframework.vault.authentication.AwsIamAuthentication
-
Create the request body to perform a Vault login using the AWS-IAM authentication
method.
- createRestTemplate(VaultEndpoint, ClientHttpRequestFactory) - Static method in class org.springframework.vault.client.VaultClients
-
Create a
RestTemplate configured with
VaultEndpoint and
ClientHttpRequestFactory.
- createRestTemplate(VaultEndpointProvider, ClientHttpRequestFactory) - Static method in class org.springframework.vault.client.VaultClients
-
- createRestTemplate() - Static method in class org.springframework.vault.client.VaultClients
-
Create a RestTemplate for Vault interaction.
- createTrustStore() - Method in class org.springframework.vault.support.Certificate
-
- createUri(String) - Method in class org.springframework.vault.client.VaultEndpoint
-
Build the Vault
URI based on the given
path.
- createUriBuilderFactory(VaultEndpointProvider) - Static method in class org.springframework.vault.client.VaultClients
-
- createUriString(String) - Method in class org.springframework.vault.client.VaultEndpoint
-
Build the Vault URI string based on the given path.
- createUserId() - Method in interface org.springframework.vault.authentication.AppIdUserIdMechanism
-
Create a UserId for AppId authentication.
- createUserId() - Method in class org.springframework.vault.authentication.IpAddressUserId
-
- createUserId() - Method in class org.springframework.vault.authentication.MacAddressUserId
-
- createUserId() - Method in class org.springframework.vault.authentication.StaticUserId
-
- createWebClient(VaultEndpoint, ClientHttpConnector) - Static method in class org.springframework.vault.client.ReactiveVaultClients
-
Create a
WebClient configured with
VaultEndpoint and
ClientHttpConnector.
- createWebClient(VaultEndpointProvider, ClientHttpConnector) - Static method in class org.springframework.vault.client.ReactiveVaultClients
-
Create a
WebClient configured with
VaultEndpoint and
ClientHttpConnector.
- credentials(AWSCredentials) - Method in class org.springframework.vault.authentication.AwsIamAuthenticationOptions.AwsIamAuthenticationOptionsBuilder
-
Configure static AWS credentials, required to calculate the signature.
- credentialsProvider(AWSCredentialsProvider) - Method in class org.springframework.vault.authentication.AwsIamAuthenticationOptions.AwsIamAuthenticationOptionsBuilder
-
Configure an AWSCredentialsProvider, required to calculate the
signature.
- CubbyholeAuthentication - Class in org.springframework.vault.authentication
-
- CubbyholeAuthentication(CubbyholeAuthenticationOptions, RestOperations) - Constructor for class org.springframework.vault.authentication.CubbyholeAuthentication
-
- cubbyholeAuthentication() - Method in class org.springframework.vault.config.EnvironmentVaultConfiguration
-
- CubbyholeAuthenticationOptions - Class in org.springframework.vault.authentication
-
- CubbyholeAuthenticationOptions.CubbyholeAuthenticationOptionsBuilder - Class in org.springframework.vault.authentication
-
- of(VaultTokenSupplier) - Static method in class org.springframework.vault.authentication.CachingVaultTokenSupplier
-
- of(String) - Static method in class org.springframework.vault.authentication.LoginToken
-
- of(char[]) - Static method in class org.springframework.vault.authentication.LoginToken
-
- of(String, long) - Static method in class org.springframework.vault.authentication.LoginToken
-
- of(char[], long) - Static method in class org.springframework.vault.authentication.LoginToken
-
- of(char[], Duration) - Static method in class org.springframework.vault.authentication.LoginToken
-
Create a new
LoginToken with a
leaseDurationSeconds.
- of(VaultEndpoint) - Static method in class org.springframework.vault.client.SimpleVaultEndpointProvider
-
- of(String, long, boolean) - Static method in class org.springframework.vault.core.lease.domain.Lease
-
- of(String, Duration, boolean) - Static method in class org.springframework.vault.core.lease.domain.Lease
-
- of(String, String, String) - Static method in class org.springframework.vault.support.Certificate
-
Create a
Certificate given a private key with certificates and the serial
number.
- of(String, String, String, String) - Static method in class org.springframework.vault.support.CertificateBundle
-
Create a
CertificateBundle given a private key with certificates and the
serial number.
- of(String) - Static method in class org.springframework.vault.support.Ciphertext
-
Factory method to create
Ciphertext from the given
ciphertext.
- of(String) - Static method in class org.springframework.vault.support.Hmac
-
Factory method to create a
Hmac from the given
hmac.
- of(byte[]) - Static method in class org.springframework.vault.support.Plaintext
-
Factory method to create
Plaintext from a byte sequence.
- of(String) - Static method in class org.springframework.vault.support.Plaintext
-
- of(Policy.Rule...) - Static method in class org.springframework.vault.support.Policy
-
Create a
Policy from one or more
rules.
- of(Set<Policy.Rule>) - Static method in class org.springframework.vault.support.Policy
-
Create a
Policy from one or more
rules.
- of(String) - Static method in class org.springframework.vault.support.Signature
-
Factory method to create a
Signature from the given
signature.
- of(Resource) - Static method in class org.springframework.vault.support.SslConfiguration.KeyStoreConfiguration
-
- of(Resource, char[]) - Static method in class org.springframework.vault.support.SslConfiguration.KeyStoreConfiguration
-
- of(String) - Static method in class org.springframework.vault.support.VaultToken
-
- of(char[]) - Static method in class org.springframework.vault.support.VaultToken
-
- ofKeyType(String) - Static method in class org.springframework.vault.support.VaultTransitKeyCreationRequest
-
- onAfterLeaseRenewed(RequestedSecret, Lease) - Method in class org.springframework.vault.core.lease.SecretLeaseEventPublisher
-
Hook method called when a
Lease is renewed.
- onAfterLeaseRevocation(RequestedSecret, Lease) - Method in class org.springframework.vault.core.lease.SecretLeaseEventPublisher
-
Hook method called after triggering revocation for a
Lease.
- onBeforeLeaseRevocation(RequestedSecret, Lease) - Method in class org.springframework.vault.core.lease.SecretLeaseEventPublisher
-
Hook method called before triggering revocation for a
Lease.
- onError(RequestedSecret, Lease, Exception) - Method in class org.springframework.vault.core.lease.SecretLeaseEventPublisher
-
Hook method called when an error occurred during secret retrieval, lease renewal,
and other Vault interactions.
- onLeaseError(SecretLeaseEvent, Exception) - Method in interface org.springframework.vault.core.lease.event.LeaseErrorListener
-
- onLeaseError(SecretLeaseEvent, Exception) - Method in class org.springframework.vault.core.lease.event.LeaseListenerAdapter
-
- onLeaseError(SecretLeaseEvent, Exception) - Method in enum org.springframework.vault.core.lease.SecretLeaseEventPublisher.LoggingErrorListener
-
- onLeaseEvent(SecretLeaseEvent) - Method in interface org.springframework.vault.core.lease.event.LeaseListener
-
- onLeaseEvent(SecretLeaseEvent) - Method in class org.springframework.vault.core.lease.event.LeaseListenerAdapter
-
- onLeaseExpired(RequestedSecret, Lease) - Method in class org.springframework.vault.core.lease.SecretLeaseContainer
-
Hook method called when a
Lease expires.
- onLeaseExpired(RequestedSecret, Lease) - Method in class org.springframework.vault.core.lease.SecretLeaseEventPublisher
-
Hook method called when a
Lease expires.
- onNext(Consumer<? super T>) - Method in class org.springframework.vault.authentication.AuthenticationSteps.Node
-
Callback with the current state object.
- onSecretsObtained(RequestedSecret, Lease, Map<String, Object>) - Method in class org.springframework.vault.core.lease.SecretLeaseEventPublisher
-
Hook method called when secrets were obtained.
- opsForPki() - Method in interface org.springframework.vault.core.VaultOperations
-
- opsForPki(String) - Method in interface org.springframework.vault.core.VaultOperations
-
- opsForPki() - Method in class org.springframework.vault.core.VaultTemplate
-
- opsForPki(String) - Method in class org.springframework.vault.core.VaultTemplate
-
- opsForSys() - Method in interface org.springframework.vault.core.VaultOperations
-
- opsForSys() - Method in class org.springframework.vault.core.VaultTemplate
-
- opsForToken() - Method in interface org.springframework.vault.core.VaultOperations
-
- opsForToken() - Method in class org.springframework.vault.core.VaultTemplate
-
- opsForTransit() - Method in interface org.springframework.vault.core.VaultOperations
-
- opsForTransit(String) - Method in interface org.springframework.vault.core.VaultOperations
-
- opsForTransit() - Method in class org.springframework.vault.core.VaultTemplate
-
- opsForTransit(String) - Method in class org.springframework.vault.core.VaultTemplate
-
- or(VaultQuery) - Method in class org.springframework.vault.repository.query.VaultQuery
-
Compose a new
VaultQuery using predicates of this and the
other query using logical
OR.
- or(VaultQuery, VaultQuery) - Method in class org.springframework.vault.repository.query.VaultQueryCreator
-
- org.springframework.vault - package org.springframework.vault
-
- org.springframework.vault.annotation - package org.springframework.vault.annotation
-
Annotation support for the Spring Vault.
- org.springframework.vault.authentication - package org.springframework.vault.authentication
-
Support for authentication and session management.
- org.springframework.vault.client - package org.springframework.vault.client
-
Spring Vault Client abstraction.
- org.springframework.vault.config - package org.springframework.vault.config
-
Spring configuration for Vault.
- org.springframework.vault.core - package org.springframework.vault.core
-
Vault core support.
- org.springframework.vault.core.env - package org.springframework.vault.core.env
-
Spring Vault's environment abstraction consisting property source support.
- org.springframework.vault.core.lease - package org.springframework.vault.core.lease
-
The core package implementing lease renewal and secret rotation.
- org.springframework.vault.core.lease.domain - package org.springframework.vault.core.lease.domain
-
Lease domain classes.
- org.springframework.vault.core.lease.event - package org.springframework.vault.core.lease.event
-
Support classes for lease application events.
- org.springframework.vault.core.util - package org.springframework.vault.core.util
-
Property transformer classes for Spring Vault core support.
- org.springframework.vault.repository.configuration - package org.springframework.vault.repository.configuration
-
Support infrastructure for the configuration of Vault specific repositories.
- org.springframework.vault.repository.convert - package org.springframework.vault.repository.convert
-
Spring Vault specific converter infrastructure.
- org.springframework.vault.repository.core - package org.springframework.vault.repository.core
-
Spring Vault core repository implementation.
- org.springframework.vault.repository.mapping - package org.springframework.vault.repository.mapping
-
Infrastructure for the Vault JSON-to-object mapping subsystem.
- org.springframework.vault.repository.query - package org.springframework.vault.repository.query
-
Query derivation mechanism for Vault specific repositories.
- org.springframework.vault.repository.support - package org.springframework.vault.repository.support
-
Support infrastructure for query derivation of Vault specific repositories.
- org.springframework.vault.support - package org.springframework.vault.support
-
Classes supporting the Vault packages, such as value objects.
- RawTransitKey - Interface in org.springframework.vault.support
-
A exported raw key inside Vault's transit backend.
- ReactiveVaultClients - Class in org.springframework.vault.client
-
Vault Client factory to create WebClient configured to the needs of accessing
Vault.
- ReactiveVaultClients() - Constructor for class org.springframework.vault.client.ReactiveVaultClients
-
- ReactiveVaultOperations - Interface in org.springframework.vault.core
-
Interface that specifies a basic set of Vault operations executed on a reactive
infrastructure, implemented by
ReactiveVaultTemplate.
- reactiveVaultTemplate() - Method in class org.springframework.vault.config.AbstractReactiveVaultConfiguration
-
- ReactiveVaultTemplate - Class in org.springframework.vault.core
-
This class encapsulates main Vault interaction.
- ReactiveVaultTemplate(VaultEndpoint, ClientHttpConnector, VaultTokenSupplier) - Constructor for class org.springframework.vault.core.ReactiveVaultTemplate
-
- ReactiveVaultTemplate(VaultEndpointProvider, ClientHttpConnector, VaultTokenSupplier) - Constructor for class org.springframework.vault.core.ReactiveVaultTemplate
-
- read(String) - Method in interface org.springframework.vault.core.ReactiveVaultOperations
-
Read from a secret backend.
- read(String, Class<T>) - Method in interface org.springframework.vault.core.ReactiveVaultOperations
-
Read from a secret backend.
- read(String) - Method in class org.springframework.vault.core.ReactiveVaultTemplate
-
- read(String, Class<T>) - Method in class org.springframework.vault.core.ReactiveVaultTemplate
-
- read(String) - Method in interface org.springframework.vault.core.VaultOperations
-
Read from a secret backend.
- read(String, Class<T>) - Method in interface org.springframework.vault.core.VaultOperations
-
Read from a secret backend.
- read(String) - Method in class org.springframework.vault.core.VaultTemplate
-
- read(String, Class<T>) - Method in class org.springframework.vault.core.VaultTemplate
-
- read(Class<S>, SecretDocument) - Method in class org.springframework.vault.repository.convert.MappingVaultConverter
-
- readMap(TypeInformation<?>, Map<String, Object>) - Method in class org.springframework.vault.repository.convert.MappingVaultConverter
-
Reads the given
Map into a
Map. will recursively resolve nested
Maps as well.
- readToken(Resource) - Static method in class org.springframework.vault.authentication.KubernetesServiceAccountTokenFile
-
Read the token from Resource.
- REFRESH_PERIOD_BEFORE_EXPIRY - Static variable in class org.springframework.vault.authentication.LifecycleAwareSessionManager
-
Refresh 5 seconds before the token expires.
- registerBeansForRoot(BeanDefinitionRegistry, RepositoryConfigurationSource) - Method in class org.springframework.vault.repository.configuration.VaultRepositoryConfigurationExtension
-
- removeLeaseErrorListener(LeaseErrorListener) - Method in class org.springframework.vault.core.lease.SecretLeaseEventPublisher
-
- removeLeaseListener(LeaseListener) - Method in class org.springframework.vault.core.lease.SecretLeaseEventPublisher
-
- removeNullProperties() - Static method in class org.springframework.vault.core.util.PropertyTransformers
-
- renew(VaultToken) - Method in interface org.springframework.vault.core.VaultTokenOperations
-
- renew(VaultToken) - Method in class org.springframework.vault.core.VaultTokenTemplate
-
- renewable(String, long) - Static method in class org.springframework.vault.authentication.LoginToken
-
- renewable(char[], long) - Static method in class org.springframework.vault.authentication.LoginToken
-
- renewable(char[], Duration) - Static method in class org.springframework.vault.authentication.LoginToken
-
Create a new renewable
LoginToken with a
leaseDurationSeconds.
- renewable(String) - Static method in class org.springframework.vault.core.lease.domain.RequestedSecret
-
- renewable() - Method in class org.springframework.vault.support.VaultTokenRequest.VaultTokenRequestBuilder
-
Enable TTL extension/renewal for the token.
- renewable(boolean) - Method in class org.springframework.vault.support.VaultTokenRequest.VaultTokenRequestBuilder
-
Configure TTL extension/renewal for the token.
- renewToken() - Method in class org.springframework.vault.authentication.LifecycleAwareSessionManager
-
Performs a token refresh.
- request(AuthenticationSteps.HttpRequest<R>) - Method in class org.springframework.vault.authentication.AuthenticationSteps.Node
-
- RequestedSecret - Class in org.springframework.vault.core.lease.domain
-
Represents a requested secret from a specific Vault path associated with a lease
RequestedSecret.Mode.
- RequestedSecret.Mode - Enum in org.springframework.vault.core.lease.domain
-
- requestRenewableSecret(String) - Method in class org.springframework.vault.core.lease.SecretLeaseContainer
-
Request a renewable secret at path.
- requestRotatingSecret(String) - Method in class org.springframework.vault.core.lease.SecretLeaseContainer
-
Request a rotating secret at path.
- restOperations() - Method in class org.springframework.vault.config.AbstractVaultConfiguration
-
Construct a RestOperations object configured for Vault usage.
- restOperations() - Method in class org.springframework.vault.config.EnvironmentVaultConfiguration
-
- RestOperationsCallback<T> - Interface in org.springframework.vault.core
-
A callback for executing arbitrary operations on RestOperations.
- revoke(VaultToken) - Method in class org.springframework.vault.authentication.LifecycleAwareSessionManager
-
- revoke(String) - Method in interface org.springframework.vault.core.VaultPkiOperations
-
Revokes a certificate using its serial number.
- revoke(String) - Method in class org.springframework.vault.core.VaultPkiTemplate
-
- revoke(VaultToken) - Method in interface org.springframework.vault.core.VaultTokenOperations
-
- revoke(VaultToken) - Method in class org.springframework.vault.core.VaultTokenTemplate
-
- revokeOrphan(VaultToken) - Method in interface org.springframework.vault.core.VaultTokenOperations
-
- revokeOrphan(VaultToken) - Method in class org.springframework.vault.core.VaultTokenTemplate
-
- rewrap(String, String) - Method in interface org.springframework.vault.core.VaultTransitOperations
-
Rewrap the provided ciphertext using the latest version of the named key.
- rewrap(String, String, VaultTransitContext) - Method in interface org.springframework.vault.core.VaultTransitOperations
-
Rewrap the provided ciphertext using the latest version of the named key.
- rewrap(String, String) - Method in class org.springframework.vault.core.VaultTransitTemplate
-
- rewrap(String, String, VaultTransitContext) - Method in class org.springframework.vault.core.VaultTransitTemplate
-
- role(String) - Method in class org.springframework.vault.authentication.AwsEc2AuthenticationOptions.AwsEc2AuthenticationOptionsBuilder
-
Configure the name of the role against which the login is being attempted.If
role is not specified, then the login endpoint looks for a role bearing the
name of the AMI ID of the EC2 instance that is trying to login.
- role(String) - Method in class org.springframework.vault.authentication.AwsIamAuthenticationOptions.AwsIamAuthenticationOptionsBuilder
-
Configure the name of the role against which the login is being attempted.
- role(String) - Method in class org.springframework.vault.authentication.KubernetesAuthenticationOptions.KubernetesAuthenticationOptionsBuilder
-
Configure the role.
- roleId(AppRoleAuthenticationOptions.RoleId) - Method in class org.springframework.vault.authentication.AppRoleAuthenticationOptions.AppRoleAuthenticationOptionsBuilder
-
Configure the RoleId.
- roleId(String) - Method in class org.springframework.vault.authentication.AppRoleAuthenticationOptions.AppRoleAuthenticationOptionsBuilder
-
- rotate(String) - Method in interface org.springframework.vault.core.VaultTransitOperations
-
Rotates the version of the named key.
- rotate(String) - Method in class org.springframework.vault.core.VaultTransitTemplate
-
- rotating(String) - Static method in class org.springframework.vault.core.lease.domain.RequestedSecret
-
- RuleBuilder() - Constructor for class org.springframework.vault.support.Policy.Rule.RuleBuilder
-
- valid() - Static method in class org.springframework.vault.support.SignatureValidation
-
Factory method to create a
SignatureValidation object representing a
successfully validated signature.
- valueOf(String) - Static method in enum org.springframework.vault.annotation.VaultPropertySource.Renewal
-
Returns the enum constant of this type with the specified name.
- valueOf(String) - Static method in enum org.springframework.vault.core.lease.domain.RequestedSecret.Mode
-
Returns the enum constant of this type with the specified name.
- valueOf(String) - Static method in enum org.springframework.vault.core.lease.SecretLeaseEventPublisher.LoggingErrorListener
-
Returns the enum constant of this type with the specified name.
- valueOf(String) - Static method in enum org.springframework.vault.core.VaultPkiOperations.Encoding
-
Returns the enum constant of this type with the specified name.
- valueOf(String) - Static method in enum org.springframework.vault.support.Policy.BuiltinCapabilities
-
Returns the enum constant of this type with the specified name.
- valueOf(String) - Static method in enum org.springframework.vault.support.TransitKeyType
-
Returns the enum constant of this type with the specified name.
- values() - Static method in enum org.springframework.vault.annotation.VaultPropertySource.Renewal
-
Returns an array containing the constants of this enum type, in
the order they are declared.
- values() - Static method in enum org.springframework.vault.core.lease.domain.RequestedSecret.Mode
-
Returns an array containing the constants of this enum type, in
the order they are declared.
- values() - Static method in enum org.springframework.vault.core.lease.SecretLeaseEventPublisher.LoggingErrorListener
-
Returns an array containing the constants of this enum type, in
the order they are declared.
- values() - Static method in enum org.springframework.vault.core.VaultPkiOperations.Encoding
-
Returns an array containing the constants of this enum type, in
the order they are declared.
- values() - Static method in enum org.springframework.vault.support.Policy.BuiltinCapabilities
-
Returns an array containing the constants of this enum type, in
the order they are declared.
- values() - Static method in enum org.springframework.vault.support.TransitKeyType
-
Returns an array containing the constants of this enum type, in
the order they are declared.
- VAULT_TOKEN - Static variable in class org.springframework.vault.client.VaultHttpHeaders
-
The HTTP X-Vault-Token header field name.
- VaultCertificateRequest - Class in org.springframework.vault.support
-
Request for a Certificate.
- VaultCertificateRequest.VaultCertificateRequestBuilder - Class in org.springframework.vault.support
-
- VaultCertificateResponse - Class in org.springframework.vault.support
-
Value object to bind Vault HTTP PKI issue certificate API responses.
- VaultCertificateResponse() - Constructor for class org.springframework.vault.support.VaultCertificateResponse
-
- VaultClients - Class in org.springframework.vault.client
-
Vault Client factory to create RestTemplate configured to the needs of
accessing Vault.
- VaultClients() - Constructor for class org.springframework.vault.client.VaultClients
-
- VaultClients.PrefixAwareUriBuilderFactory - Class in org.springframework.vault.client
-
- VaultClients.PrefixAwareUriTemplateHandler - Class in org.springframework.vault.client
-
- VaultConverter - Interface in org.springframework.vault.repository.convert
-
Central Vault-specific converter interface.
- VaultCustomConversions - Class in org.springframework.vault.repository.convert
-
Value object to capture custom conversion.
- VaultCustomConversions(List<?>) - Constructor for class org.springframework.vault.repository.convert.VaultCustomConversions
-
- VaultDecryptionResult - Class in org.springframework.vault.support
-
Holds the response from decryption operation and provides methods to access the result.
- VaultDecryptionResult(Plaintext) - Constructor for class org.springframework.vault.support.VaultDecryptionResult
-
- VaultDecryptionResult(VaultException) - Constructor for class org.springframework.vault.support.VaultDecryptionResult
-
- VaultEncryptionResult - Class in org.springframework.vault.support
-
Holds the response from encryption operation and provides methods to access the result.
- VaultEncryptionResult(Ciphertext) - Constructor for class org.springframework.vault.support.VaultEncryptionResult
-
- VaultEncryptionResult(VaultException) - Constructor for class org.springframework.vault.support.VaultEncryptionResult
-
- VaultEndpoint - Class in org.springframework.vault.client
-
Value object that defines Vault connection coordinates.
- VaultEndpoint() - Constructor for class org.springframework.vault.client.VaultEndpoint
-
- vaultEndpoint() - Method in class org.springframework.vault.config.AbstractVaultConfiguration
-
- vaultEndpoint() - Method in class org.springframework.vault.config.EnvironmentVaultConfiguration
-
- VaultEndpointProvider - Interface in org.springframework.vault.client
-
- vaultEndpointProvider() - Method in class org.springframework.vault.config.AbstractVaultConfiguration
-
- VaultEntityInformation<T,ID> - Interface in org.springframework.vault.repository.core
-
- VaultException - Exception in org.springframework.vault
-
The Spring Vault specific NestedRuntimeException implementation.
- VaultException(String) - Constructor for exception org.springframework.vault.VaultException
-
Create a VaultException with the specified detail message.
- VaultException(String, Throwable) - Constructor for exception org.springframework.vault.VaultException
-
Create a VaultException with the specified detail message and nested
exception.
- VaultHealth - Interface in org.springframework.vault.support
-
Vault health state.
- VaultHmacRequest - Class in org.springframework.vault.support
-
Request for a HMAC Digest.
- VaultHmacRequest.VaultHmacRequestBuilder - Class in org.springframework.vault.support
-
- VaultHmacRequestBuilder() - Constructor for class org.springframework.vault.support.VaultHmacRequest.VaultHmacRequestBuilder
-
- VaultHttpHeaders - Class in org.springframework.vault.client
-
Class providing utility methods to create Vault HTTP headers.
- VaultInitializationRequest - Class in org.springframework.vault.support
-
Value object to bind Vault HTTP Initialization API requests.
- VaultInitializationResponse - Interface in org.springframework.vault.support
-
Vault initialization response.
- VaultKeyValueAdapter - Class in org.springframework.vault.repository.core
-
- VaultKeyValueAdapter(VaultOperations) - Constructor for class org.springframework.vault.repository.core.VaultKeyValueAdapter
-
- VaultKeyValueAdapter(VaultOperations, VaultConverter) - Constructor for class org.springframework.vault.repository.core.VaultKeyValueAdapter
-
- VaultKeyValueTemplate - Class in org.springframework.vault.repository.core
-
- VaultKeyValueTemplate(KeyValueAdapter) - Constructor for class org.springframework.vault.repository.core.VaultKeyValueTemplate
-
- VaultKeyValueTemplate(KeyValueAdapter, VaultMappingContext) - Constructor for class org.springframework.vault.repository.core.VaultKeyValueTemplate
-
- VaultMappingContext - Class in org.springframework.vault.repository.mapping
-
- VaultMappingContext() - Constructor for class org.springframework.vault.repository.mapping.VaultMappingContext
-
- VaultMount - Class in org.springframework.vault.support
-
Value object to bind Vault HTTP Mount API requests/responses.
- VaultMount.VaultMountBuilder - Class in org.springframework.vault.support
-
- VaultOperations - Interface in org.springframework.vault.core
-
Interface that specifies a basic set of Vault operations, implemented by
VaultTemplate.
- VaultPartTreeQuery - Class in org.springframework.vault.repository.query
-
- VaultPartTreeQuery(QueryMethod, EvaluationContextProvider, KeyValueOperations, Class<? extends AbstractQueryCreator<?, ?>>) - Constructor for class org.springframework.vault.repository.query.VaultPartTreeQuery
-
- VaultPersistentEntity<T> - Interface in org.springframework.vault.repository.mapping
-
- VaultPersistentProperty - Class in org.springframework.vault.repository.mapping
-
- VaultPersistentProperty(Property, PersistentEntity<?, VaultPersistentProperty>, SimpleTypeHolder) - Constructor for class org.springframework.vault.repository.mapping.VaultPersistentProperty
-
- VaultPkiOperations - Interface in org.springframework.vault.core
-
Interface that specifies PKI backend-related operations.
- VaultPkiOperations.Encoding - Enum in org.springframework.vault.core
-
- VaultPkiTemplate - Class in org.springframework.vault.core
-
- VaultPkiTemplate(VaultOperations, String) - Constructor for class org.springframework.vault.core.VaultPkiTemplate
-
- VaultPropertySource - Annotation Type in org.springframework.vault.annotation
-
Annotation providing a convenient and declarative mechanism for adding a
VaultPropertySource to Spring's
Environment.
- VaultPropertySource - Class in org.springframework.vault.core.env
-
PropertySource that reads keys and values from a
VaultTemplate and
path.
- VaultPropertySource(VaultOperations, String) - Constructor for class org.springframework.vault.core.env.VaultPropertySource
-
- VaultPropertySource(String, VaultOperations, String) - Constructor for class org.springframework.vault.core.env.VaultPropertySource
-
- VaultPropertySource(String, VaultOperations, String, PropertyTransformer) - Constructor for class org.springframework.vault.core.env.VaultPropertySource
-
- VaultPropertySource.Renewal - Enum in org.springframework.vault.annotation
-
- VaultPropertySources - Annotation Type in org.springframework.vault.annotation
-
- VaultQuery - Class in org.springframework.vault.repository.query
-
Vault query consisting of a single
Predicate.
- VaultQuery() - Constructor for class org.springframework.vault.repository.query.VaultQuery
-
Create a new
VaultQuery that evaluates unconditionally to true.
- VaultQuery(Predicate<String>) - Constructor for class org.springframework.vault.repository.query.VaultQuery
-
- VaultQueryCreator - Class in org.springframework.vault.repository.query
-
Query creator for Vault queries.
- VaultQueryCreator(PartTree, ParameterAccessor, MappingContext<VaultPersistentEntity<?>, VaultPersistentProperty>) - Constructor for class org.springframework.vault.repository.query.VaultQueryCreator
-
- VaultRepositoriesRegistrar - Class in org.springframework.vault.repository.configuration
-
Vault specific ImportBeanDefinitionRegistrar.
- VaultRepositoriesRegistrar() - Constructor for class org.springframework.vault.repository.configuration.VaultRepositoriesRegistrar
-
- VaultRepositoryConfigurationExtension - Class in org.springframework.vault.repository.configuration
-
- VaultRepositoryConfigurationExtension() - Constructor for class org.springframework.vault.repository.configuration.VaultRepositoryConfigurationExtension
-
- VaultRepositoryFactory - Class in org.springframework.vault.repository.support
-
- VaultRepositoryFactory(KeyValueOperations) - Constructor for class org.springframework.vault.repository.support.VaultRepositoryFactory
-
- VaultRepositoryFactory(KeyValueOperations, Class<? extends AbstractQueryCreator<?, ?>>) - Constructor for class org.springframework.vault.repository.support.VaultRepositoryFactory
-
- VaultRepositoryFactory(KeyValueOperations, Class<? extends AbstractQueryCreator<?, ?>>, Class<? extends RepositoryQuery>) - Constructor for class org.springframework.vault.repository.support.VaultRepositoryFactory
-
- VaultRepositoryFactoryBean<T extends Repository<S,ID>,S,ID extends Serializable> - Class in org.springframework.vault.repository.support
-
Adapter for Springs
FactoryBean interface to allow easy setup of
VaultRepositoryFactory via Spring configuration.
- VaultRepositoryFactoryBean(Class<? extends T>) - Constructor for class org.springframework.vault.repository.support.VaultRepositoryFactoryBean
-
- VaultResponse - Class in org.springframework.vault.support
-
Value object to bind generic Vault HTTP API responses.
- VaultResponse() - Constructor for class org.springframework.vault.support.VaultResponse
-
- VaultResponses - Class in org.springframework.vault.client
-
- VaultResponses() - Constructor for class org.springframework.vault.client.VaultResponses
-
- VaultResponseSupport<T> - Class in org.springframework.vault.support
-
Value object to bind generic Vault HTTP API responses.
- VaultResponseSupport() - Constructor for class org.springframework.vault.support.VaultResponseSupport
-
- VaultSignatureVerificationRequest - Class in org.springframework.vault.support
-
Request for a signature verification.
- VaultSignatureVerificationRequest.VaultSignatureVerificationRequestBuilder - Class in org.springframework.vault.support
-
- VaultSignatureVerificationRequestBuilder() - Constructor for class org.springframework.vault.support.VaultSignatureVerificationRequest.VaultSignatureVerificationRequestBuilder
-
- VaultSignCertificateRequestResponse - Class in org.springframework.vault.support
-
Value object to bind Vault HTTP PKI issue certificate API responses.
- VaultSignCertificateRequestResponse() - Constructor for class org.springframework.vault.support.VaultSignCertificateRequestResponse
-
- VaultSignRequest - Class in org.springframework.vault.support
-
Request for a signature creation request.
- VaultSignRequest.VaultSignRequestBuilder - Class in org.springframework.vault.support
-
- VaultSignRequestBuilder() - Constructor for class org.springframework.vault.support.VaultSignRequest.VaultSignRequestBuilder
-
- VaultSimpleTypes - Class in org.springframework.vault.repository.mapping
-
Simple constant holder for a
SimpleTypeHolder enriched with Vault-specific
simple (JSON) types.
- VaultSysOperations - Interface in org.springframework.vault.core
-
Interface that specifies a basic set of administrative Vault operations.
- VaultSysTemplate - Class in org.springframework.vault.core
-
- VaultSysTemplate(VaultOperations) - Constructor for class org.springframework.vault.core.VaultSysTemplate
-
- vaultTemplate() - Method in class org.springframework.vault.config.AbstractVaultConfiguration
-
- VaultTemplate - Class in org.springframework.vault.core
-
This class encapsulates main Vault interaction.
- VaultTemplate(VaultEndpoint, ClientAuthentication) - Constructor for class org.springframework.vault.core.VaultTemplate
-
- VaultTemplate(VaultEndpoint, ClientHttpRequestFactory, SessionManager) - Constructor for class org.springframework.vault.core.VaultTemplate
-
- VaultTemplate(VaultEndpointProvider, ClientHttpRequestFactory, SessionManager) - Constructor for class org.springframework.vault.core.VaultTemplate
-
- VaultToken - Class in org.springframework.vault.support
-
Value object for a Vault token.
- VaultToken(char[]) - Constructor for class org.springframework.vault.support.VaultToken
-
- VaultTokenLookupException - Exception in org.springframework.vault.authentication
-
Exception thrown if a token self-lookup fails via auth/token/lookup-self.
- VaultTokenLookupException(String) - Constructor for exception org.springframework.vault.authentication.VaultTokenLookupException
-
Create a VaultException with the specified detail message.
- VaultTokenOperations - Interface in org.springframework.vault.core
-
Interface that specifies token-related operations.
- VaultTokenRequest - Class in org.springframework.vault.support
-
Value object to bind Vault HTTP Token API requests.
- VaultTokenRequest.VaultTokenRequestBuilder - Class in org.springframework.vault.support
-
- VaultTokenResponse - Class in org.springframework.vault.support
-
Value object to bind Vault HTTP Token API responses.
- VaultTokenResponse() - Constructor for class org.springframework.vault.support.VaultTokenResponse
-
- VaultTokenSupplier - Interface in org.springframework.vault.authentication
-
- vaultTokenSupplier() - Method in class org.springframework.vault.config.AbstractReactiveVaultConfiguration
-
- VaultTokenTemplate - Class in org.springframework.vault.core
-
- VaultTokenTemplate(VaultOperations) - Constructor for class org.springframework.vault.core.VaultTokenTemplate
-
- VaultTransitContext - Class in org.springframework.vault.support
-
Transit backend encryption/decryption/rewrapping context.
- VaultTransitContext.VaultTransitRequestBuilder - Class in org.springframework.vault.support
-
- VaultTransitKey - Interface in org.springframework.vault.support
-
A key inside Vault's transit backend.
- VaultTransitKeyConfiguration - Class in org.springframework.vault.support
-
Value object to bind Vault HTTP Transit Key Config API requests.
- VaultTransitKeyConfiguration.VaultTransitKeyConfigurationBuilder - Class in org.springframework.vault.support
-
- VaultTransitKeyCreationRequest - Class in org.springframework.vault.support
-
Transit backend key creation request options.
- VaultTransitKeyCreationRequest.VaultTransitKeyCreationRequestBuilder - Class in org.springframework.vault.support
-
- VaultTransitOperations - Interface in org.springframework.vault.core
-
Interface that specifies operations using the transit backend.
- VaultTransitTemplate - Class in org.springframework.vault.core
-
- VaultTransitTemplate(VaultOperations, String) - Constructor for class org.springframework.vault.core.VaultTransitTemplate
-
- VaultTypeMapper - Interface in org.springframework.vault.repository.convert
-
- VaultUnsealStatus - Interface in org.springframework.vault.support
-
Vault unseal status.
- verify(String, Plaintext, Signature) - Method in interface org.springframework.vault.core.VaultTransitOperations
-
- verify(String, VaultSignatureVerificationRequest) - Method in interface org.springframework.vault.core.VaultTransitOperations
-
- verify(String, Plaintext, Signature) - Method in class org.springframework.vault.core.VaultTransitTemplate
-
- verify(String, VaultSignatureVerificationRequest) - Method in class org.springframework.vault.core.VaultTransitTemplate
-